Bug 13450 - Title and breadcrumb of Patron form can look weird in translations
Summary: Title and breadcrumb of Patron form can look weird in translations
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_16_candidate
Depends on:
Blocks:
 
Reported: 2014-12-12 15:53 UTC by Marc Véron
Modified: 2015-12-03 22:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13450 - Title and breadcrumb of Patron form can look weird in translations (5.29 KB, patch)
2014-12-13 08:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13450 - Title and breadcrumb of Patron form can look weird in translations (5.34 KB, patch)
2014-12-28 01:00 UTC, Chris Cormack
Details | Diff | Splinter Review
How it works now: Different Edit buttons show different titels / bradcrumbs for same patron (84.49 KB, image/png)
2014-12-28 19:13 UTC, Marc Véron
Details
How it looks after patch (use "Edit" below Date of birth) and proposition how it should be for all kinds of editing (from toolbar or from links on page) (19.80 KB, image/png)
2014-12-28 19:15 UTC, Marc Véron
Details
Bug 13450 - Title and breadcrumb of Patron form can look weird in translations (5.54 KB, patch)
2015-01-02 12:59 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13450 - Title and breadcrumb of Patron form can look weird in translations (5.57 KB, patch)
2015-01-14 17:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13450 - Title and breadcrumb of Patron form can look weird in translations (5.62 KB, patch)
2015-01-20 20:17 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
[PASSED QA] Bug 13450 - Title and breadcrumb of Patron form can look weird in translations (5.68 KB, patch)
2015-01-30 12:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13450 [QA Followup] - Remove tab character from start of line (1.93 KB, patch)
2015-01-30 12:12 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2014-12-12 15:53:37 UTC
Example:

English:
Modify Kind patron Hansli Meier 
Modify Erwachsener patron Henry Acevedo 

German:
Ändern Kind Benutzer Hansli Meier 
Ändern Erwachsener Benutzer Henry Acevedo 

It should be something like

English: 

Modify patron Hansli Meier (Kind)
Modify patron Henry Acevedo (Erwachsener)

Ändern Benutzer Hansli Meier (Kind) 
Ändern Benutzer Henry Acevedo (Erwachsener)

Note: (Kind) and (Erwachsener) are set as Category name in Patron category administration.
Comment 1 Marc Véron 2014-12-13 08:33:02 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-12-20 18:22:16 UTC
Still applies (Version 3.19.00.002)
Comment 3 Chris Cormack 2014-12-28 01:00:47 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-12-28 09:31:11 UTC
Hm, bit confused - the description says it moves the category to the end, but that doesn't match what I see in the templates:

When I edit an existing patron:

Title: Modify Child patron <name>
Breadcrumb: Home › Patrons › <name> › Modify Child patron 

Modify Adult patron Nicole Schneider 
Home › Patrons › Nicole Schneider › Modify Adult patron 

Double checked patch is applied and looking at the English templates. The categoryname at the end doesn't show up for me.
Comment 5 Marc Véron 2014-12-28 17:09:37 UTC
Hi Katrin,

Did you test with the "Edit" links on the page, e.g. below "Date of birth" or "Library use"?
Comment 6 Katrin Fischer 2014-12-28 17:59:26 UTC
I checked the 'edit' in the toolbar and 'duplicate'
Comment 7 Marc Véron 2014-12-28 19:13:12 UTC Comment hidden (obsolete)
Comment 8 Marc Véron 2014-12-28 19:15:42 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2014-12-28 19:22:33 UTC
That's not what I saw - I will have to go back and retest, but right now not sure where I went wrong :(
Comment 10 Marc Véron 2014-12-28 19:29:58 UTC
No problem,I think the whole code is rather complicated. Please have a look at the proposition in my 2nd screenshot:

The idea is to have both Category TYPE and category NAME, something like

Modify patron Hansli Testmann (Child:Juvenile)
([TYPE]:[NAME])

If you think this would be OK I will provide a new patch.
Comment 11 Marc Véron 2015-01-02 12:59:55 UTC Comment hidden (obsolete)
Comment 12 Owen Leonard 2015-01-07 12:57:23 UTC
This patch creates invalid markup. I think it's just a missing </div>.
Comment 13 Marc Véron 2015-01-14 17:34:43 UTC Comment hidden (obsolete)
Comment 14 sandboxes@biblibre.com 2015-01-20 20:17:14 UTC
Patch tested with a sandbox, by Aleisha <aleishaamohia@hotmail.com>
Comment 15 sandboxes@biblibre.com 2015-01-20 20:17:36 UTC Comment hidden (obsolete)
Comment 16 Kyle M Hall 2015-01-30 12:12:19 UTC
Created attachment 35616 [details] [review]
[PASSED QA] Bug 13450 - Title and breadcrumb of Patron form can look weird in translations

This patch moves the patron category name or category type at the end of title and breadcrumb for better translatability.

Note: It does not change anything in functionallity, it only changes display of strings.

To test:
Apply patch
Search a patron and edit it in all possible ways: 'Edit' button on top of details page, 'Edit' links in details page, 'Edit' links in search result table if multiple patrons are found)
Duplicate a patron
Create a new patron
Make sure that title and breadcrumb appear in a meaningful way with pattern similar to the following:
Modify patron Hansli Meier (Juvenile)

(Missing </div> added)

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 17 Kyle M Hall 2015-01-30 12:12:28 UTC
Created attachment 35617 [details] [review]
Bug 13450 [QA Followup] - Remove tab character from start of line

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 18 Tomás Cohen Arazi 2015-02-09 16:46:18 UTC
Patch pushed to master.

Thanks Marc!
Comment 19 Chris Cormack 2015-02-10 22:24:26 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 20 Mason James 2015-02-26 03:37:04 UTC
Possible selection for 3.16.x